stages:
  - build

job-root-file:
  stage: build
  script:
    - echo "file myFile.txt found"  
  rules:
    - exists:
        - "myFile.txt"

job-root-file-with-dot:
  stage: build
  script:
    - echo "file ./myFile.txt found"  
  rules:
    - exists:
        - "./myFile.txt"

job-root-file-variable:
  stage: build
  variables:
    BASE_DIR: "."
  script:
    - echo "file ./myFile.txt found"  
  rules:
    - exists:
        - "${BASE_DIR}/myFile.txt"        

job-subdir-file:
  stage: build
  script:
    - echo "file subdir/myFile.txt found"  
  rules:
    - exists:
        - "subdir/myFile.txt"   

job-subdir-file-with-dot:
  stage: build
  script:
    - echo "file subdir/myFile.txt found"  
  rules:
    - exists:
        - "./subdir/myFile.txt"         

job-subdir-file-variable:
  stage: build
  variables:
    BASE_DIR: "subdir"
  script:
    - echo "file ./myFile.txt found"  
  rules:
    - exists:
        - "${BASE_DIR}/myFile.txt"               